<section id="memberloginMain">
  <div class="container">
    <div class="row">
      <div class="col-xs-12">

        <div class="maincredentialsarea">
          <div class="clearfix"></div>

          <div class="leftmemberarea membersignuparea">
            <div class="membertitles">
              <h2> signup as contactor</h2>
            </div>

            <form class="formwrap" [formGroup]="personalInfoForm" (ngSubmit)="savePersonalInfo()">
              <p class="formtitle">Personnel Information <span class="redcolor">*</span></p>
              <div class="form-element">
                <input type="text" class="form-control" placeholder="Enter you first name"
                       formControlName="firstName">
                <div class="help-block" *ngIf="personalInfoFormSubmit">
                  <div *ngIf="f.firstName.errors?.required">Please enter first name.</div>
                </div>
              </div>
              <div class="form-element">
                <input type="text" class="form-control" placeholder="Enter you last name"
                       formControlName="lastName">
                <div class="help-block" *ngIf="personalInfoFormSubmit">
                  <div *ngIf="f.lastName.errors?.required">Please enter last name.</div>
                </div>
              </div>
              <div class="form-element">
                <input type="text" class="form-control emilicon" placeholder="Email"
                       formControlName="email">
                <div class="help-block" *ngIf="personalInfoFormSubmit">
                  <div *ngIf="f.email.errors?.required">Please enter email address.</div>
                  <div *ngIf="f.email.errors?.email">Email must be a valid email address.</div>
                </div>
              </div>
              <div class="form-element">
                <input type="text" class="form-control emilicon" placeholder="Phone Number"
                       formControlName="phoneNumber" placeholder="+12345678900" (keyup)="validatePhoneNumber(personalInfoForm.value.phoneNumber)">
                <div class="help-block" *ngIf="personalInfoFormSubmit">
                  <div *ngIf="f.phoneNumber.errors?.required">Please enter phone number.</div>
                  <div *ngIf="!isValidPhoneNumber">Please enter a valid phone number.</div>
                </div>
              </div>
              <div class="form-element">
                <input type="password" class="form-control lockicon" placeholder="Password"
                       formControlName="password">
                <div class="help-block" *ngIf="personalInfoFormSubmit">
                  <div *ngIf="f.password.errors?.required">Please enter password.</div>
                  <div *ngIf="f.password.errors?.minlength">Password must be at least 8 characters.</div>
                </div>
              </div>
              <div class="form-element">
                <input type="password" class="form-control lockicon" placeholder="Confirm Password"
                       formControlName="confirmPassword">
                <div class="help-block" *ngIf="personalInfoFormSubmit">
                  <div *ngIf="personalInfoForm.errors?.mismatch">Password does not match.</div>
                </div>
              </div>
              <div class="form-element">
                <input type="text" class="form-control lockicon" placeholder="Referral Code"
                       formControlName="referralCode">
              </div>

              <!--<div class="form-element">
                <label for="">street address</label>
                <input type="text" class="form-control" placeholder="Enter your street adress">
              </div>
              <div class="form-element">
                <label for="">street address</label>
                <input type="text" class="form-control" placeholder="Enter your city">
              </div>
              <div class="form-element">
                <label for="">postal code</label>
                <input type="text" class="form-control" placeholder="Enter yout postal code">
              </div>
              <div class="form-element">
                <label for="">province</label>
                <input type="text" class="form-control" placeholder="select">
              </div>

              <div class="form-element">
                <label for="">phone number</label>
                <input type="text" class="form-control" placeholder="+1">
              </div>-->

              <div class="form-element">
                <input type="submit" class="form-sumbit-orange margintop20" value="Next">
              </div>


            </form>

          </div>
          <div class="rightmemberarea">
            <div class="membertitles">
              <h1 class="orangetxt">your professional</h1>
              <h2>handy arrives</h2>
            </div>
            <div class="memberrightimage contractorsignup5">
              <img src="../assets/images/step5.png" alt="">
            </div>
            <div class="membertitles">
              <h1 class="orangetxt">Step 1</h1>

            </div>

          </div>

          <div class="clearfix"></div>

        </div>

      </div>
    </div>
  </div>

</section>
